Shumoku Server API · 0.3.0-beta.2 · Devices
Read devices now; devices without a credential are tried with each credential the topology uses first
APIの説明は英語のOpenAPI canonical sourceを表示しています。
POST /api/topologies/{id}/devices/read 認証
sessionCookie / bearerAuth
リクエストボディ
ReadDevices · application/json
レスポンス
| ステータス | 説明 | スキーマ |
|---|---|---|
200 | Read outcome per device | ReadDevicesResult |
400 | The request did not match the API contract | Error |
404 | Topology or credential not found | Error |
409 | Conflict | Error |
500 | Device operation failed | Error |